Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
tokens
/
{address_hash_param}
/
transfers
/
csv
Export token transfers as CSV
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/tokens/{address_hash_param}/transfers/csv \
  --header 'Authorization: Bearer <token>'
{
  "message": "Resource not found"
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

address_hash_param
string
required

Address hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$
chain_id
string
required

The ID of the blockchain

Query Parameters

from_period
required

Start of the time period (ISO 8601 format) in CSV export

Pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01])(?:T(?:[01]\d|2[0-3])(?:(?::|%3A)[0-5]\d(?:(?::|%3A)[0-5]\d(?:\.\d{1,9})?)?)?(?:Z|(?:\+|%2B|-)(?:[01]\d|2[0-3])(?:(?::|%3A)[0-5]\d)?)?)?$
to_period
required

End of the time period (ISO 8601 format) In CSV export

Pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01])(?:T(?:[01]\d|2[0-3])(?:(?::|%3A)[0-5]\d(?:(?::|%3A)[0-5]\d(?:\.\d{1,9})?)?)?(?:Z|(?:\+|%2B|-)(?:[01]\d|2[0-3])(?:(?::|%3A)[0-5]\d)?)?)?$
filter_type

Filter type in CSV export

Available options:
address
filter_value

Filter value in CSV export

Available options:
to,
from

Response

CSV file of token transfers.